com.amazonaws.services.codedeploy.model

## Class BatchGetDeploymentGroupsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.BatchGetDeploymentGroupsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class BatchGetDeploymentGroupsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a batch get deployment groups operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BatchGetDeploymentGroupsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetDeploymentGroupsResult` `clone()`
`boolean` `equals(Object obj)`
`List<DeploymentGroupInfo>` `getDeploymentGroupsInfo()` Information about the deployment groups.
`String` `getErrorMessage()` Information about errors that may have occurred during the API call.
`int` `hashCode()`
`void` `setDeploymentGroupsInfo(Collection<DeploymentGroupInfo> deploymentGroupsInfo)` Information about the deployment groups.
`void` `setErrorMessage(String errorMessage)` Information about errors that may have occurred during the API call.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetDeploymentGroupsResult` `withDeploymentGroupsInfo(Collection<DeploymentGroupInfo> deploymentGroupsInfo)` Information about the deployment groups.
`BatchGetDeploymentGroupsResult` `withDeploymentGroupsInfo(DeploymentGroupInfo... deploymentGroupsInfo)` Information about the deployment groups.
`BatchGetDeploymentGroupsResult` `withErrorMessage(String errorMessage)` Information about errors that may have occurred during the API call.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetDeploymentGroupsResult

    public BatchGetDeploymentGroupsResult()

### Method Detail

#### getDeploymentGroupsInfo

    public List<DeploymentGroupInfo> getDeploymentGroupsInfo()

Information about the deployment groups.

Returns:
  Information about the deployment groups.

#### setDeploymentGroupsInfo

    public void setDeploymentGroupsInfo(Collection<DeploymentGroupInfo> deploymentGroupsInfo)

Information about the deployment groups.

Parameters:
  `deploymentGroupsInfo` - Information about the deployment groups.

#### withDeploymentGroupsInfo

    public BatchGetDeploymentGroupsResult withDeploymentGroupsInfo(DeploymentGroupInfo... deploymentGroupsInfo)

Information about the deployment groups.

NOTE: This method appends the values to the existing list (if any). Use `setDeploymentGroupsInfo(java.util.Collection)` or `withDeploymentGroupsInfo(java.util.Collection)` if you want to override the existing values.

Parameters:
  `deploymentGroupsInfo` - Information about the deployment groups.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withDeploymentGroupsInfo

    public BatchGetDeploymentGroupsResult withDeploymentGroupsInfo(Collection<DeploymentGroupInfo> deploymentGroupsInfo)

Information about the deployment groups.

Parameters:
  `deploymentGroupsInfo` - Information about the deployment groups.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setErrorMessage

    public void setErrorMessage(String errorMessage)

Information about errors that may have occurred during the API call.

Parameters:
  `errorMessage` - Information about errors that may have occurred during the API call.

#### getErrorMessage

    public String getErrorMessage()

Information about errors that may have occurred during the API call.

Returns:
  Information about errors that may have occurred during the API call.

#### withErrorMessage

    public BatchGetDeploymentGroupsResult withErrorMessage(String errorMessage)

Information about errors that may have occurred during the API call.

Parameters:
  `errorMessage` - Information about errors that may have occurred during the API call.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetDeploymentGroupsResult clone()

Overrides:
  `clone` in class `Object`